View Issue Details

IDProjectCategoryView StatusLast Update
13440Bug reports[All Projects] Survey designpublic2018-03-09 16:36
ReporterdawidmosAssigned Tomarkusfluer 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.3.x 
Target VersionFixed in Version3.4.x 
Summary13440: Quota, Postgress cant add
Description

Version: limesurvey3.4.3+180227
Unable to add quota to question when database is on PostgreSQL (on MySQL works fine).

Steps To Reproduce

Survey is not necessary - always problem exists

Additional Information

Internal Server Error
CDbCommand failed to execute the SQL statement: SQLSTATE[42601]: Syntax error: 7 ERROR: syntax error at or near "."
LINE 1: ... ("groups"."sid"="survey"."sid") WHERE (((groups.gid =`t...

TagsNo tags attached.
Complete LimeSurvey version number (& build)
I will donate to the project if issue is resolved
Browser
Database & DB-Version
Server OS (if known)
Webserver software & version (if known)
PHP Version

Activities

DenisChenu

DenisChenu

2018-03-04 19:23

developer   ~46882

Move to bug report, it's clearly an issue

markusfluer

markusfluer

2018-03-06 15:59

administrator   ~46931

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26675

c_schmitz

c_schmitz

2018-03-09 16:36

administrator   ~46985

Version 3.5.0 180309 released

Related Changesets

LimeSurvey: master c23544f0

2018-03-06 15:59:33

markusfluer

Details Diff
Fixed issue 13440: Quota, Postgress cant add
Dev: NEVER use backticks in SQL code!
Affected Issues
13440
mod - application/models/Survey.php Diff File

Issue History

Date Modified Username Field Change
2018-03-03 16:19 dawidmos New Issue
2018-03-04 19:22 DenisChenu Project Development => Bug reports
2018-03-04 19:22 DenisChenu Category Other => Other issues
2018-03-04 19:23 DenisChenu Note Added: 46882
2018-03-04 19:23 DenisChenu Category Other issues => Survey design
2018-03-04 19:23 DenisChenu Product Version 3.x =>
2018-03-04 19:23 DenisChenu Product Version => 3.3.x
2018-03-06 15:59 markusfluer Changeset attached => LimeSurvey master c23544f0
2018-03-06 15:59 markusfluer Note Added: 46931
2018-03-06 15:59 markusfluer Assigned To => markusfluer
2018-03-06 15:59 markusfluer Resolution open => fixed
2018-03-06 16:00 markusfluer Status new => resolved
2018-03-06 16:00 markusfluer Fixed in Version => 3.4.x
2018-03-09 16:36 c_schmitz Note Added: 46985
2018-03-09 16:36 c_schmitz Status resolved => closed